org.apache.log4j.util

## Interface Filter

- All Known Implementing Classes:
    AbsoluteDateAndTimeFilter, AbsoluteTimeFilter, ControlFilter, ISO8601Filter, JunitTestRunnerFilter, LineNumberFilter, MDCOrderFilter, RelativeTimeFilter, SunReflectFilter, XMLDateFilter, XMLLineAttributeFilter, XMLTimestampFilter

      public interface Filter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSOLUTE_DATE_AND_TIME_PAT`
    `static String` | `ABSOLUTE_TIME_PAT`
    `static String` | `BASIC_PAT`
    `static String` | `ISO8601_PAT`
    `static String` | `RELATIVE_TIME_PAT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `filter(String in)` This filter transforms the input string and returns the results as output.

- - ### Field Detail

    - #### ABSOLUTE_DATE_AND_TIME_PAT

          static final String ABSOLUTE_DATE_AND_TIME_PAT

      See Also:
        Constant Field Values

    - #### ABSOLUTE_TIME_PAT

          static final String ABSOLUTE_TIME_PAT

      See Also:
        Constant Field Values

    - #### RELATIVE_TIME_PAT

          static final String RELATIVE_TIME_PAT

      See Also:
        Constant Field Values

    - #### BASIC_PAT

          static final String BASIC_PAT

      See Also:
        Constant Field Values

    - #### ISO8601_PAT

          static final String ISO8601_PAT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### filter

          String filter(String in)
                        throws UnexpectedFormatException

      This filter transforms the input string and returns the results as output. If the input should be ignored, this method returns null.
      Throws:
        `UnexpectedFormatException`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.